db_value Struct Reference

`#include <db_value.h>`

## Data Fields

db_type_t | type
int | primary_key
char * | text
db_type_int32_t | int32
db_type_uint32_t | uint32
db_type_int64_t | int64
db_type_uint64_t | uint64
int | enum_value
const char * | enum_text

## Detailed Description

A container for a database value.

Definition at line 48 of file db_value.h.

## Field Documentation

## enum_text

const char* db_value::enum_text

Definition at line 57 of file db_value.h.

Referenced by db_value_from_enum_value(), and db_value_reset().

## enum_value

int db_value::enum_value

Definition at line 56 of file db_value.h.

Referenced by db_value_cmp(), db_value_enum_value(), db_value_from_enum_value(), db_value_reset(), and db_value_to_enum_value().

## int32

db_type_int32_t db_value::int32

Definition at line 52 of file db_value.h.

Referenced by db_value_cmp(), db_value_from_int32(), db_value_int32(), db_value_reset(), db_value_to_enum_value(), and db_value_to_int32().

## int64

db_type_int64_t db_value::int64

Definition at line 54 of file db_value.h.

Referenced by db_value_cmp(), db_value_from_int64(), db_value_int64(), db_value_reset(), and db_value_to_int64().

## primary_key

int db_value::primary_key

Definition at line 50 of file db_value.h.

Referenced by db_value_reset(), and db_value_set_primary_key().

## text

char* db_value::text

Definition at line 51 of file db_value.h.

Referenced by db_value_cmp(), db_value_copy(), db_value_free(), db_value_from_text(), db_value_from_text2(), db_value_reset(), db_value_text(), db_value_to_enum_value(), and db_value_to_text().

## type

db_type_t db_value::type

Definition at line 49 of file db_value.h.

Referenced by db_value_cmp(), db_value_copy(), db_value_enum_value(), db_value_from_enum_value(), db_value_from_int32(), db_value_from_int64(), db_value_from_text(), db_value_from_text2(), db_value_from_uint32(), db_value_from_uint64(), db_value_int32(), db_value_int64(), db_value_new(), db_value_not_empty(), db_value_reset(), db_value_set_new(), db_value_set_primary_key(), db_value_text(), db_value_to_enum_value(), db_value_to_int32(), db_value_to_int64(), db_value_to_text(), db_value_to_uint32(), db_value_to_uint64(), db_value_type(), db_value_uint32(), and db_value_uint64().

## uint32

db_type_uint32_t db_value::uint32

Definition at line 53 of file db_value.h.

Referenced by db_value_cmp(), db_value_from_uint32(), db_value_reset(), db_value_to_uint32(), and db_value_uint32().

## uint64

db_type_uint64_t db_value::uint64

Definition at line 55 of file db_value.h.

Referenced by db_value_cmp(), db_value_from_uint64(), db_value_reset(), db_value_to_uint64(), and db_value_uint64().

The documentation for this struct was generated from the following file:

- src/db/db_value.h